%define	version	2.25.1
Obsoletes:	VFlib
Provides:	VFlib

Summary:	The vector font library (VFlib2)
Name:		VFlib2
Version:	%{version}
Release:	10mdk
Source:		ftp://TypeHack.aial.hiroshima-u.ac.jp/pub/TypeHack/VFlib2-%{version}.tar.gz
#Patch0:	vfontcap-jrpm.patch 
#Patch1:	ltconfig.JRPM.patch
# By CLE {
#Source5:	vfontcap-CLE
Source5:	vfontcap-mdk
Patch5:		VFlib2-2.25.1-Chinese.patch.bz2
# }
Patch6:		VFlib2-2.25.1-includes.patch.bz2
Patch7:		VFlib2-2.25.1-bad_cast.patch.bz2
Patch8:		VFlib2-2.25.1-datadir.patch.bz2
Patch9:		VFlib2-2.25.1-gcc-3.3.patch.bz2
License:	GPL
URL:		http://TypeHack.aial.hiroshima-u.ac.jp/VFlib/
Group:		System/Libraries
BuildRequires:	freetype-devel gettext-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary(ja):	٥ȥեȥ饤֥ (VFlib2)
 
%description
VFlib is a library for converting vector fonts to bitmap data. Its
functions include rotation, shrinking, and changing the slant of
characters. VFlib is used by localized software for Japanese document
processing that requires Kanji fonts, for example xdvi, dvi2ps,
ghostscript.

%description -l ja 
VFlib ϥ٥ȥեȤӥåȥޥåץǡؤѴ򤹤饤֥
Ǥ ʸβž̾βʤɤεǽ⤢ޤܸ˥
饤줿 xdvi, dvi2ps ghostscript ʤɤδեȤɬפȤ
ܸʸץꥱ󥽥եȥVFlib ȤäƤޤ

%package devel
Obsoletes:	VFlib-devel
Provides:	VFlib-devel
Summary:	Header files and static library for VFlib v2.24.0.
Summary(ja):	VFlib v2.24.0Υإåեȥƥå饤֥
Group:		Development/C
Requires:	VFlib2 = %{version}

%description devel
This package contains the VFlib2 static libraries and header files
required to develop VFlib2-based applications.

%description -l ja devel
ΥѥåˤϡVFlib2Ѥץꥱγȯɬפʥ
ƥå饤֥ȥإåե뤬ޤޤƤޤ

%prep
%setup -q
#%patch0 -p1 
%patch5 -p1 
%patch6 -p1 -b .includes
%patch7 -p1 -b .bad_cast
%patch8 -p1 -b .datadir
%patch9 -p1 -b .gcc3.3

%build
%configure \
	--enable-shared --enable-static \
	--with-freetype --with-freetype-includedir=%{_includedir}/freetype
%make

%install
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
%makeinstall

(cd $RPM_BUILD_ROOT%{_libdir} ; ln -f libVFlib2.so.24.0.3 libVFlib.so.%{version})
(cd $RPM_BUILD_ROOT%{_libdir} ; ln -f libVFlib2.a libVFlib.a)
ln -fs libVFlib.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libVFlib.so.2
ln -fs libVFlib.so.2 $RPM_BUILD_ROOT%{_libdir}/libVFlib.so

# By CLE {
install -m0644 %SOURCE5 $RPM_BUILD_ROOT/etc/vfontcap
ln -fs ../../../../etc/vfontcap $RPM_BUILD_ROOT/usr/share/VFlib/%{version}
rm -f doc/*.~1~
# }

install -c -s -m 0755 src/fwindex        $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 0755 tools/.libs/disol  $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 0755 tools/.libs/fmtest $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 0755 tools/.libs/kban   $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 0755 tools/.libs/vfperf $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 0755 tools/.libs/vftest $RPM_BUILD_ROOT%{_bindir}

# remove files not packaged
rm -f	$RPM_BUILD_ROOT%{_bindir}/VFlib2-config \
	$RPM_BUILD_ROOT%{_datadir}/VFlib/%{version}/QA-english.tex \
	$RPM_BUILD_ROOT%{_datadir}/VFlib/%{version}/QA.txt \
	$RPM_BUILD_ROOT%{_datadir}/VFlib/%{version}/VF.h \
	$RPM_BUILD_ROOT%{_datadir}/VFlib/%{version}/man.dvi \
	$RPM_BUILD_ROOT%{_datadir}/VFlib/%{version}/man.ps \
	$RPM_BUILD_ROOT%{_datadir}/VFlib/%{version}/vfontcap.ORG \
	$RPM_BUILD_ROOT%{_datadir}/VFlib/%{version}/vfontcap.mgp


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/VFlib2

%files
%defattr(-,root,root)
%doc doc INSTALL COPYING COPYING.LIB DISTRIB.txt README.txt README.txt.JP_EUC CHANGES
%config(noreplace) %{_sysconfdir}/vfontcap
%{_libdir}/libVFlib2.so.24.0.3
%{_libdir}/libVFlib2.so.24
%{_libdir}/libVFlib.so.%{version}
%{_libdir}/libVFlib.so.2
%{_bindir}/ttindex
%{_bindir}/bdfindex
%{_bindir}/fwindex
%{_bindir}/disol
%{_bindir}/fmtest
%{_bindir}/kban
%{_bindir}/ktest
%{_bindir}/vfperf 
%{_bindir}/vftest
%dir %{_datadir}/VFlib/%{version}
%{_datadir}/VFlib/%{version}/vfontcap
%{_datadir}/VFlib/%{version}/vfontcap.bdf
%{_datadir}/VFlib/%{version}/vfontcap.comp2

%files devel
%defattr(-,root,root)
%{_libdir}/libVFlib2.so
%{_libdir}/libVFlib2.a
%{_libdir}/libVFlib2.la
%{_libdir}/libVFlib.so
%{_libdir}/libVFlib.a
%{_includedir}/VF.h

%changelog
* Sat Jul 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.25.1-10mdk
- fix gcc-3.3 build (P9)
- fix group
- fix summary-not-capitalized
- fix conffile-without-noreplace-flag
- cosmetics
- remove provides for library filename, rpm will automatically provide it
- fix obsolete-not-provided
- fix no-version-dependency-on VFlib2 2.25.1

* Thu Nov 28 2002 Stefan van der Eijk <stefan@eijk.nu> 2.25.1-9mdk
- BuildRequires: gettext-devel
- remove unpackaged files

* Tue Jul  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.25.1-8mdk
- Use %%configure, %%makeinstall
- Patch8: Fix reference to datadir
- Patch7: VFcap.c (tgetent): return 1 for non NULL bp
- Patch6: Add missing includes, define _BSD_SOURCE, use CFLAGS
- rpmlint fixes: hardcoded-library-path, configure-without-libdir-spec

* Fri Jun 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.25.1-7mdk
- rebuild for libintl2

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 2.25.1-6mdk
- BuildRequires: freetype-devel XFree86-devel
- Bzipped patches

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.25.1-5mdk
- Use %%_tmmpath for BuildRoot

* Tue Apr 17 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.25.1-4mdk
- rewrite /etc/vfontcap against the locations of fonts in mandrakesoft distro.

* Fri Apr 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.25.1-3mdk
- Fix group.

* Thu Apr 12 2001 Francis Galiegue <fg@mandrakesoft.com> 2.25.1-2mdk

- libtoolize on ia64

* Fri Dec 29 2000 Geoff <snailtalk@mandrakesoft.com> 2.25.1-1mdk
- shameless rip from CLE.

* Mon Nov 27 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- rebuilt for RH7

* Wed Oct 18 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- vfontcap for CLE

* Mon Oct 16 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- remove VFjfm, CLE don't need it...:p
- apply Chinese patch modified from TurboLinux (add ETen extension)

* Thu Mar 16 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new freetype libraries

* Sat Mar  4 2000 Chris Ding <cding@redhat.com>
- rebuilt for 6.2J

* Thu Jan 20 2000 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- built against LinuxPPC-1999
- version up to 2.25.1

* Wed Jan 05 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against freetype 1.3.1
- changed Group: Libraries -> System Environment/Libraries (VFlib2)
- changed Group: Applications/Publishing/TeX -> Applications/Publishing (VFlib2VFjfm)

* Sun Jun 20 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 7th Release for i386 (glibc2.1)
- Original Packager: Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>

* Wed Jun 9 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 7jrpm
- changed ltconfig.JRPM.patch

* Wed Jun 9 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 6jrpm
- added %defattr(-,root,root)

* Sat Jun 6 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 5jrpm
- fixed about linking
- added Provides: libVFlib.so.2

* Mon Apr 19 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 4jrpm
- small fixed

* Sat Apr 17 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 3jrpm
- fixed vfontcap
- deleted Provides: libVFlib.so.2

* Sat Feb 20 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.2
- Release: 2
- make link (/usr/share/VFlib/2.24.2/vfontcap ->  /etc/vfontcap)

* Fri Feb 18 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.2
- Release: 1

* Wed Jan 13 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.1
- Release: 1
- vfontcap  PATH  ǥե(/usr/share/VFlib/2.24.1/vfontcap)
- ǥեȥեȤ xtt-fonts ѥåΤΤ

* Thu Dec 8 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.1
- Release: 0
- changed URL:
- deleted Source1: install-sh
- deleted Source2: config.sub
   ȼ configure ץ¿ѹ
- %doc 
	ReleaseNote -> CHANGES

* Wed Sep 16 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.0
- Release: 0.4
- freetype Ȥ߹ޤƤؤ󤫤ä :P

* Mon Sep  9 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.0
- Release: 0.2

- ѹ
 /usr/local -> /usr 
 ¾

- ΤΥХ
 vfontcap ΥǥեȥեȥѥäƤʤ

* Sun May 24 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2.
- ĶRedHat 5.0 
- VFlib  Group:  Libraries ѹ
- VFlib-devel  Group:  Development/Libraries ѹ
- VFlib-VFjfm  Group:  Applications/Publishing/TeX ѹ

* Mon Dec 1 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.22pl10
- Release: 1 
- removed VFlib-2.22-sparc.patch
- moved /usr/local/lib/libVFlib.so to VFlib-devel

* Wed Nov 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 6
- added Distribution: and Vendor: tags

* Wed Oct 23 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 5
- VFlib-2.22-shared.patch  VFlib-2.22-jrpm.patch ѹ
- vfontcap ΥǥեȤѹѥå
- Group: ѹ
- /usr/src/VFjfm  /usr/local/src/VFjfm 
- strip ǥå:^)

* Wed Aug 18 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 4
- added script for /etc/ld.so.conf at %post 

* Wed Jun 30 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 3
- changed Some tools in tools/* linked -lVFlib dynamically.
- added ln -fs libVFlib.so.2 libVFlib.so

* Wed Jun 26 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2
- added Patch2 for sparc
	in fman.c
	Commented-out free(FM_Table[port].path); 
